Chuyển đến nội dung chính
GET
/
table
/
{tableId}
/
record
cURL
curl --request GET \
  --url 'https://sheets.vn/api/table/%7BtableId%7D/record?projection=SOME_ARRAY_VALUE&cellFormat=SOME_STRING_VALUE&fieldKeyType=SOME_STRING_VALUE&viewId=viwXXXXXXX&ignoreViewQuery=SOME_STRING_VALUE&filterByTql=%7Bfield%7D+%3D+%27Completed%27+AND+%7Bfield%7D+%3E+5&filter=SOME_STRING_VALUE&search=SOME_ARRAY_VALUE&filterLinkCellCandidate=fldXXXXXXX&filterLinkCellCandidate=recXXXXXXX&filterLinkCellSelected=fldXXXXXXX&filterLinkCellSelected=recXXXXXXX&selectedRecordIds=SOME_ARRAY_VALUE&orderBy=SOME_STRING_VALUE&groupBy=SOME_STRING_VALUE&collapsedGroupIds=SOME_STRING_VALUE&queryId=qry_xxxxxxxx&take=100&skip=0' \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{
  "records": [
    {
      "id": "recXXXXXXX",
      "fields": {
        "single line text": "text value"
      }
    }
  ],
  "extra": {
    "groupPoints": [
      {
        "id": "<string>",
        "depth": 1,
        "isCollapsed": true,
        "value": null
      }
    ],
    "allGroupHeaderRefs": [
      {
        "id": "<string>",
        "depth": 1
      }
    ],
    "searchHitIndex": [
      {
        "recordId": "<string>",
        "fieldId": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.sheets.vn/docs/llms.txt

Use this file to discover all available pages before exploring further.

Ủy quyền

Authorization
string
header
bắt buộc

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Tham số đường dẫn

tableId
string
bắt buộc

Tham số truy vấn

projection
string[]

If you want to get only some fields, pass in this parameter, otherwise all visible fields will be obtained, The parameter value depends on the specified fieldKeyType to determine whether it is name or id

cellFormat
enum<string>
mặc định:json

Define the return value formate, you can set it to text if you only need simple string value

Tùy chọn có sẵn:
json,
text
fieldKeyType
enum<string>
mặc định:name

Define the key type of record.fields[key], You can click "systemInfo" in the field edit box to get fieldId or enter the table design screen with all the field details

Tùy chọn có sẵn:
id,
name,
dbFieldName
viewId
string

Set the view you want to fetch, default is first view. result will filter and sort by view options.

Ví dụ:

"viwXXXXXXX"

ignoreViewQuery

When a viewId is specified, configure this to true will ignore the view's filter, sort, etc

filterByTql
string
không còn sử dụng
Ví dụ:

"{field} = 'Completed' AND {field} > 5"

filter
string

A filter object for complex query conditions based on fields, operators, and values. Use our visual query builder at https://sheets.vn/developer/tool/query-builder to build filters.

search

Search for records that match the specified field and value

Required array length: 1 element
filterLinkCellCandidate

Filter out the records that can be selected by a given link cell from the relational table. For example, if the specified field is one to many or one to one relationship, recordId for which the field has already been selected will not appear.

Required array length: 2 elements
Ví dụ:
["fldXXXXXXX", "recXXXXXXX"]
filterLinkCellSelected

Filter out selected records based on this link cell from the relational table. Note that viewId, filter, and orderBy will not take effect in this case because selected records has it own order. Ignoring recordId gets all the selected records for the field

Required array length: 2 elements
Ví dụ:
["fldXXXXXXX", "recXXXXXXX"]
selectedRecordIds
string[]

Filter selected records by record ids

orderBy
string

An array of sort objects that specifies how the records should be ordered.

groupBy
string

An array of group objects that specifies how the records should be grouped.

collapsedGroupIds
string

An array of group ids that specifies which groups are collapsed

queryId
string

When provided, other query parameters will be merged with the saved ones.

Ví dụ:

"qry_xxxxxxxx"

take
mặc định:100

The record count you want to take, maximum is 1000

Ví dụ:

100

skip
mặc định:0

The records count you want to skip

Ví dụ:

0

Phản hồi

200 - application/json

List of records

records
object[]
bắt buộc

Array of record objects

Ví dụ:
[
{
"id": "recXXXXXXX",
"fields": { "single line text": "text value" }
}
]
extra
object